Magnetoculus Database Builder Construction de bases de données pour Magnetoculus

Public Member Functions | Public Attributes | List of all members
DBManager.DBManager Class Reference

Class that grants read / write acess to the database. More...

## Public Member Functions
def | __init__ (self)
def | Sleep (self, delay)
def | LineCount (self, filename)
| Count the lines in the file specified by the path filename. More...
def | GetCitiesNames (self)
| Return a list of the names of all cities in the database. More...
def | CanRegisterCity (self, filename, type)
def | ReplaceCity (self, filename, type)
def | RegisterCity (self, filename, type)
def | CanRegisterField (self, filename, type, cityFilename)
def | ReplaceField (self, filename, type, cityFilename, fieldCenter)
def | RegisterField (self, filename, type, cityFilename, fieldCenter)

## Public Attributes
| engine
| session

## Detailed Description

Class that grants read / write acess to the database.

## Constructor & Destructor Documentation

## ◆ __init__()

def DBManager.DBManager.__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ CanRegisterCity()

def DBManager.DBManager.CanRegisterCity | ( |  | self,
|  |  | filename,
|  |  | type
| ) |  |

Parameters

  filename | the path of the city file
  type | the type of the city (ECityType)

Check if the city already exists in the database

## ◆ CanRegisterField()

def DBManager.DBManager.CanRegisterField | ( |  | self,
|  |  | filename,
|  |  | type,
|  |  | cityFilename
| ) |  |

Parameters

  filename | the path of the field file
  type | the type of the field (EFieldType)
  cityFilename | the city related to this field (must already be in the database)

Check if the field already exists in the database

## ◆ GetCitiesNames()

def DBManager.DBManager.GetCitiesNames | ( |  | self | ) |

Return a list of the names of all cities in the database.

## ◆ LineCount()

def DBManager.DBManager.LineCount | ( |  | self,
|  |  | filename
| ) |  |

Count the lines in the file specified by the path filename.

## ◆ RegisterCity()

def DBManager.DBManager.RegisterCity | ( |  | self,
|  |  | filename,
|  |  | type
| ) |  |

## ◆ RegisterField()

def DBManager.DBManager.RegisterField | ( |  | self,
|  |  | filename,
|  |  | type,
|  |  | cityFilename,
|  |  | fieldCenter
| ) |  |

## ◆ ReplaceCity()

def DBManager.DBManager.ReplaceCity | ( |  | self,
|  |  | filename,
|  |  | type
| ) |  |

## ◆ ReplaceField()

def DBManager.DBManager.ReplaceField | ( |  | self,
|  |  | filename,
|  |  | type,
|  |  | cityFilename,
|  |  | fieldCenter
| ) |  |

## ◆ Sleep()

def DBManager.DBManager.Sleep | ( |  | self,
|  |  | delay
| ) |  |

## Member Data Documentation

## ◆ engine

DBManager.DBManager.engine

## ◆ session

DBManager.DBManager.session

The documentation for this class was generated from the following file:

- Database/DBManager.py